<?php
    if( !function_exists('noo_gallery_meta_boxs') ):
        function noo_gallery_meta_boxs(){
            // Declare helper object
            $prefix = '_noo_wp_post';
            $helper = new NOO_Meta_Boxes_Helper($prefix, array(
                'page' => 'gallery'
            ));
            // Post type: Gallery
            $meta_box = array(
                'id' => "{$prefix}_meta_box_gallery",
                'title' => __('Gallery options', 'noo'),
                'fields' => array(
                    array(
                        'id' => "{$prefix}_image",
                         'label' => __( 'Your Image', 'noo' ),
                        'type' => 'image',
                    ),
                    array(
                        'id' => "{$prefix}_name",
                         'label' => __( 'Your Name', 'noo' ),
                        'type' => 'text',
                    ),
                )
            );

            $helper->add_meta_box($meta_box);
        }
        add_action('add_meta_boxes', 'noo_gallery_meta_boxs');
    endif;
?>